Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::ContiguousRange Struct Reference
Inheritance diagram for ranges::v3::concepts::ContiguousRange:

## Public Types
template<typename Rng >
using | data_reference_t = decltype(*data(std::declval< Rng & >()))
template<typename Rng >
using | element_t = meta::_t< std::remove_reference< data_reference_t< Rng > >>
Public Types inherited from ranges::v3::concepts::refines< RandomAccessRange >
using | base_concepts_t = meta::list< Concepts... >

## Public Member Functions
template<typename Rng >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Same, InputRange::value_t< Rng >, meta::_t< std::remove_cv< element_t< Rng >>>>(), concepts::model_of< Same, data_reference_t< Rng >, concepts::InputRange::reference_t< Rng >>()))
Public Member Functions inherited from ranges::v3::concepts::refines< RandomAccessRange >
void | requires_ ()